# *
#  * Should give same results as flow_gmsh.con, but BC condition is given as piezo head.
flow123d_version: 3.0.0_dev
problem: !Coupling_Sequential
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
    n_schurs: 2
    input_fields:
      - region: 1d_channel
        anisotropy: !FieldConstant 10
        bc_pressure: !FieldFormula
          value: x-z
    balance: {}
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - rid: 1
          init_conc: !FieldConstant [1, 0, 0]
